summaryrefslogtreecommitdiff
path: root/gcc/mkinstalldirs
diff options
context:
space:
mode:
authorJeff Law <law@gcc.gnu.org>1998-05-19 01:09:55 -0600
committerJeff Law <law@gcc.gnu.org>1998-05-19 01:09:55 -0600
commit12c45d894bb083f9a735c121a371d3b404302d82 (patch)
tree7eae416764550ae5c742ff7fd69731dc18ea527b /gcc/mkinstalldirs
parent18c32f6939a6c3d4d7b2845bcb7fd14f491602d9 (diff)
downloadgcc-12c45d894bb083f9a735c121a371d3b404302d82.tar.gz
Initial revision
From-SVN: r19862
Diffstat (limited to 'gcc/mkinstalldirs')
-rw-r--r--gcc/mkinstalldirs40
1 files changed, 40 insertions, 0 deletions
diff --git a/gcc/mkinstalldirs b/gcc/mkinstalldirs
new file mode 100644
index 00000000000..f427ab4a24b
--- /dev/null
+++ b/gcc/mkinstalldirs
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.1 1998/05/19 07:09:56 drepper Exp $
+
+errstatus=0
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp" 1>&2
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here